package com.muyu.task.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.common.domian.TaskInput;
import com.muyu.common.domian.req.TaskInputListReq;
import com.muyu.task.server.mapper.TaskInputMapper;
import com.muyu.task.server.service.NodeTableService;
import com.muyu.task.server.service.TaskInputService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;

@Service
public class TaskInputServiceImpl extends ServiceImpl<TaskInputMapper, TaskInput> implements TaskInputService {
    @Autowired
    private TaskInputMapper taskInputMapper;

    @Autowired
    private NodeTableService tableService;


    @Override
    public Page<TaskInput> findList(TaskInputListReq req) {
        LambdaQueryWrapper<TaskInput> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(StringUtils.isNotEmpty(req.getNodeName()), TaskInput::getNodeName, req.getNodeName());
        Page<TaskInput> page = new Page<>(req.getPageNum(), req.getPageSize());
        page.setTotal(this.count(wrapper));
        return this.page(page, wrapper);
    }

    @Override
    public String findByFieName(Long taskId) {
        QueryWrapper<TaskInput> wrapper = new QueryWrapper<>();
        wrapper.eq("task_id",taskId);
        List<TaskInput> list = taskInputMapper.selectList(wrapper);
        if (CollectionUtils.isEmpty(list)){
            return "没有选择字段";
        }
        String fieName="";
        for (int i = 0; i < list.size(); i++) {
            fieName+= ","+list.get(i).getTableAsFieId();
        }
        fieName = fieName.substring(1);
//        tableService.selectTableName(taskId);
        return null;
    }
}
